Returns one configured provider by id, including its channel, provider key, alias, title, and current settings.
GET
/
providers
/
{id}
JavaScript
import Courier from '@trycourier/courier';const client = new Courier({ apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted});const provider = await client.providers.retrieve('id');console.log(provider.id);
import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
provider = client.providers.retrieve(
"id",
)
print(provider.id)
package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.providers.Provider;
import com.courier.models.providers.ProviderRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
Provider provider = client.providers().retrieve("id");
}
}
require "courier"
courier = Courier::Client.new(api_key: "My API Key")
provider = courier.providers.retrieve("id")
puts(provider)
<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$provider = $client->providers->retrieve('id');
var_dump($provider);
} catch (APIException $e) {
echo $e->getMessage();
}
using System;
using TryCourier;
using TryCourier.Models.Providers;
CourierClient client = new();
ProviderRetrieveParams parameters = new() { ID = "id" };
var provider = await client.Providers.Retrieve(parameters);
Console.WriteLine(provider);
courier providers retrieve \
--api-key 'My API Key' \
--id id
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
id
string
required
A unique identifier of the provider configuration.
Response
A configured provider in the workspace.
id
string
required
A unique identifier for the provider configuration.
title
string
required
Display title. Defaults to "Default Configuration" when not explicitly set.
provider
string
required
The provider key (e.g. "sendgrid", "twilio", "slack").
settings
object
required
Provider-specific settings (snake_case keys on the wire). rate_limit is this configuration's send rate limit, { "rate": number, "period": "second" | "minute" | "hour" }, or null for no limit.
created
integer
required
Unix timestamp (ms) of when the provider was created.
alias
string
Optional alias for this configuration.
updated
integer | null
Unix timestamp (ms) of when the provider was last updated.
⌘I
JavaScript
import Courier from '@trycourier/courier';const client = new Courier({ apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted});const provider = await client.providers.retrieve('id');console.log(provider.id);
import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
provider = client.providers.retrieve(
"id",
)
print(provider.id)
package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.providers.Provider;
import com.courier.models.providers.ProviderRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
Provider provider = client.providers().retrieve("id");
}
}
require "courier"
courier = Courier::Client.new(api_key: "My API Key")
provider = courier.providers.retrieve("id")
puts(provider)
<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$provider = $client->providers->retrieve('id');
var_dump($provider);
} catch (APIException $e) {
echo $e->getMessage();
}
using System;
using TryCourier;
using TryCourier.Models.Providers;
CourierClient client = new();
ProviderRetrieveParams parameters = new() { ID = "id" };
var provider = await client.Providers.Retrieve(parameters);
Console.WriteLine(provider);
courier providers retrieve \
--api-key 'My API Key' \
--id id
{"docsConfig":{"theme":"almond","$schema":"https://mintlify.com/docs.json","name":"Courier","description":"Courier is one API for email, SMS, push, chat, and in-app inbox, sending through the notification providers you already use. It adds templates, routing, preferences, and multi-step journeys, so your application makes one request instead of integrating each channel.","colors":{"primary":"#7C3AED","light":"#A78BFA","dark":"#5B21B6"},"logo":{"light":"https://mintcdn.com/courier-4f1f25dc/xDJPBS8EQ58X_0-v/assets/logo-light.svg?fit=max\u0026auto=format\u0026n=xDJPBS8EQ58X_0-v\u0026q=85\u0026s=2da40366f40ee5623aeabb98e65c6295","dark":"https://mintcdn.com/courier-4f1f25dc/xDJPBS8EQ58X_0-v/assets/logo-dark.svg?fit=max\u0026auto=format\u0026n=xDJPBS8EQ58X_0-v\u0026q=85\u0026s=eb1071ffaff93617b67ff4a2778f81d0","href":"https://www.courier.com/docs/overview"},"favicon":"https://mintcdn.com/courier-4f1f25dc/0KoAxE2unzOHL3EV/favicon.ico?fit=max\u0026auto=format\u0026n=0KoAxE2unzOHL3EV\u0026q=85\u0026s=3081d4055f7ca229bdeaac300a92b39c","navbar":{"links":[{"href":"https://www.courier.com/request-demo","label":"Request demo"},{"href":"https://app.courier.com/login?_gl=1*29rs2q*_gcl_au*MTYxMjIwODg4NS4xNzI5NjU5MDE4","label":"Login"}],"primary":{"type":"button","label":"Sign Up","href":"https://app.courier.com/signup?_gl=1*1130zcw*_gcl_au*MTYxMjIwODg4NS4xNzI5NjU5MDE4"}},"footer":{"socials":{"github":"https://github.com/trycourier","linkedin":"https://www.linkedin.com/company/trycourier","x":"https://x.com/trycourier"}},"search":{"prompt":"Search or ask AI"},"seo":{"metatags":{"canonical":"https://www.courier.com/docs"}},"fonts":{"heading":{"family":"Inter"},"body":{"family":"Inter"}},"integrations":{"gtm":{"tagId":"GTM-5PCP3R6"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"markdown":{"instructions":["Install the Courier skill before writing code: `npx skills add trycourier/courier-skills`. It carries the verified SDK shapes and the rules you cannot get wrong.","Authenticate every request with `Authorization: Bearer \u003cAPI_KEY>`. A workspace has several environments and each has its own keys, which are plain `pk_` strings with no environment prefix. Start with Test.","Send with `client.send.message` from the Node SDK (`@trycourier/courier` v7 and later, where the client is the default import). Reference a template by its `nt_` id or its alias.","A send accepts a bare Elemental element list, but storing content on a template requires the top-level elements wrapped in a channel element.","To translate a template, write one locale at a time with `PUT /notifications/{id}/locales/{localeId}`, which merges into the existing translations. `PUT /notifications/{id}/content` and `PUT /notifications/{id}/elements/{elementId}` overwrite translations along with the content, so send each element's `id` and `locales` back, and first remove every `checksum` and any `locales` key that starts with an underscore.","Templates and journeys can be built in the Courier app or created through the API. Either way they live in the workspace and are referenced by ID when you send.","The hosted MCP server is https://mcp.courier.com. For a briefing on what Courier is and when to use it, read https://www.courier.com/llms.txt.","Prefer the Guides tab for how-do-I questions and the Docs tab for how-does-it-behave questions. The API reference lives under /api-reference."]},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"courier-4f1f25dc","hasAudioNarration":false,"actualSubdomain":"courier-4f1f25dc","customDomains":["www.courier.com"],"gitSource":{"type":"github","owner":"trycourier","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af7641a9b017e17a3036367","clientVersion":"0.0.4143","searchFilterCounts":[{"language":"default","tag":"API Reference","count":169},{"language":"default","tag":"Docs","count":99},{"language":"default","tag":"Integrations","count":67},{"language":"default","tag":"Available integrations","count":65},{"language":"default","tag":"Guides","count":44},{"language":"default","tag":"Journeys","count":36},{"language":"default","tag":"Design","count":33},{"language":"default","tag":"Templates","count":25},{"language":"default","tag":"Elemental","count":17},{"language":"default","tag":"SDKs","count":17}]},"assistantConfig":{"enableAskAiButton":true,"enableAskAiSearchBar":true},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"html{scroll-behavior:smooth}#navbar div:has(>a img.nav-logo){flex:0 0 256px!important}#navbar div:has(>div>div>.nav-tabs){flex:1 1 auto!important}#navbar div:has(>div>.nav-tabs){margin-left:0!important;justify-content:space-between!important}#content-area{max-width:50rem!important;margin-left:auto!important;margin-right:auto!important}#content-container{position:relative;isolation:isolate}#content-container::before{content:\"\";position:absolute;top:0;left:0;right:0;height:420px;z-index:-1;pointer-events:none;background-image:radial-gradient(\n 140% 100% at 50% 20%,\n rgba(139, 92, 246, 0.06),\n rgba(139, 92, 246, 0.015)\n );-webkit-mask-image:repeating-linear-gradient(to right, #000 0 3px, transparent 3px 4px),\n repeating-linear-gradient(to bottom, #000 0 3px, transparent 3px 4px),\n linear-gradient(\n to bottom,\n #000 0,\n #000 112px,\n rgba(0, 0, 0, 0.70) 176px,\n rgba(0, 0, 0, 0.45) 240px,\n rgba(0, 0, 0, 0.26) 300px,\n rgba(0, 0, 0, 0.12) 352px,\n rgba(0, 0, 0, 0.05) 392px,\n transparent 420px\n );-webkit-mask-composite:source-in, source-in;mask-image:repeating-linear-gradient(to right, #000 0 3px, transparent 3px 4px),\n repeating-linear-gradient(to bottom, #000 0 3px, transparent 3px 4px),\n linear-gradient(\n to bottom,\n #000 0,\n #000 112px,\n rgba(0, 0, 0, 0.70) 176px,\n rgba(0, 0, 0, 0.45) 240px,\n rgba(0, 0, 0, 0.26) 300px,\n rgba(0, 0, 0, 0.12) 352px,\n rgba(0, 0, 0, 0.05) 392px,\n transparent 420px\n );mask-composite:intersect, intersect, intersect}.dark #content-container::before{background-image:radial-gradient(\n 140% 100% at 50% 20%,\n rgba(139, 92, 246, 0.12),\n rgba(139, 92, 246, 0.03)\n )}#topbar-cta-button svg{display:inline-block!important;color:#fff!important}#topbar-cta-button a>div{gap:0.25rem!important}@media (min-width: 1024px){.sticky:has(>#chat-assistant-sheet){top:calc(var(--banner-height, 0px) + var(--cx-navbar-height, 56px))!important;margin-top:calc(var(--banner-height, 0px) + var(--cx-navbar-height, 56px))!important;height:calc(100vh - var(--banner-height, 0px) - var(--cx-navbar-height, 56px))!important;padding-top:0!important}}.chat-assistant-floating-input{visibility:hidden!important}@media (min-width: 1024px){#navbar{width:100%!important}}#navbar a.nav-tabs-item{white-space:nowrap}@media (min-width: 1024px) and (max-width: 1129px){#navbar li:has(>a[href*=\"courier.com/signup\"]){display:none!important}}@media (min-width: 1024px) and (max-width: 1199px){#navbar li:has(>a[href*=\"courier.com/login\"]){display:none!important}}@media (max-width: 1023px){#navbar div:has(>a img.nav-logo){flex:0 1 auto!important}#navbar .lg\\:hidden.items-center.gap-3{margin-left:auto!important}}.cx-mobile-demo{display:inline-flex;align-items:center;white-space:nowrap;font-size:13px;font-weight:500;line-height:1;text-decoration:none;padding:7px 11px;border-radius:8px;border:1px solid rgba(130, 130, 140, 0.35);color:inherit}div:has(>.sidebar-group-header)+div:has(>.sidebar-group-header){position:relative;margin-top:1rem!important;padding-top:1.375rem}div:has(>.sidebar-group-header)+div:has(>.sidebar-group-header)::before{content:\"\";position:absolute;top:0;left:0.5rem;right:0.5rem;border-top:1px solid rgba(17, 24, 39, 0.08)}.dark div:has(>.sidebar-group-header)+div:has(>.sidebar-group-header)::before{border-top-color:rgba(255, 255, 255, 0.1)}#content-area [data-component-part=\"card-icon\"]:has(>img[src*=\"/assets/provider-\"]),#content-area [data-component-part=\"card-icon\"]>img[src*=\"/assets/provider-\"]{width:2rem;height:2rem;object-fit:contain}.cx-provider-logo-slot{display:block;width:3.75rem;height:3.75rem;margin-bottom:0.75rem;font-size:0;line-height:0}.cx-provider-logo{width:100%;height:100%;object-fit:contain;object-position:left center}.dark img[src$=\"/provider-apple-push-notification.webp\"],.dark img[src$=\"/provider-beamer.svg\"],.dark img[src$=\"/provider-custom-provider.svg\"],.dark img[src$=\"/provider-expo.svg\"],.dark img[src$=\"/provider-pagerduty.svg\"],.dark img[src$=\"/provider-postmark.webp\"],.dark img[src$=\"/provider-resend.svg\"],.dark img[src$=\"/provider-splunk-on-call.svg\"],.dark img[src$=\"/provider-vonage.svg\"]{filter:invert(1)}.cx-tags{display:flex;flex-wrap:wrap;align-items:center;gap:0.375rem;margin:0 0 1.5em}.cx-tag{display:inline-flex;align-items:center;gap:0.375rem;padding:0.25rem 0.5rem;border:0;border-radius:0.5rem;background-color:var(--cx-tag-bg);color:var(--cx-tag-fg);font-size:0.875rem;font-weight:600;line-height:1.25;white-space:nowrap;text-decoration:none!important;transition:background-color 120ms ease, color 120ms ease;--cx-tag-fg: #584f69;--cx-tag-bg: #f5f3f8}.cx-tag[data-icon]::before{content:\"\";flex:none;width:0.875em;height:0.875em;background-color:currentColor;-webkit-mask-image:var(--cx-tag-icon);mask-image:var(--cx-tag-icon);-webkit-mask-size:contain;mask-size:contain;-webkit-mask-repeat:no-repeat;mask-repeat:no-repeat;-webkit-mask-position:center;mask-position:center}.dark .cx-tag{--cx-tag-fg: #cdc4dc;--cx-tag-bg: rgba(167, 139, 250, 0.10)}a.cx-tag:hover{--cx-tag-fg: #443c52;--cx-tag-bg: #ece9f1}.dark a.cx-tag:hover{--cx-tag-fg: #ded7e8;--cx-tag-bg: rgba(167, 139, 250, 0.18)}a.cx-tag:focus-visible{outline:2px solid rgba(124, 58, 237, 0.5);outline-offset:2px}.code-scroll [data-component-part=\"scroll-area-viewport\"]{max-height:30rem}"},{"filePath":"photo-shoot/index.css","content":"@font-face{font-family:'Poppins';src:url('/Poppins-Regular.ttf') format('truetype');font-weight:400;font-style:normal;font-display:swap}:root{font-family:system-ui, Avenir, Helvetica, Arial, sans-serif;font-weight:400;font-synthesis:none;text-rendering:optimizeLegibility;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}body{margin:0;min-width:320px}"}],"page":{"pagePath":"api-reference/providers/get-a-provider","slug":"/api-reference/providers/get-a-provider","pageMetadata":{"title":"Get a Provider","description":"Returns one configured provider by id, including its channel, provider key, alias, title, and current settings.","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /providers/{id}","href":"/api-reference/providers/get-a-provider","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Returns one configured provider by id, including its channel, provider key, alias, title, and current settings.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get a Provider","description":"Returns one configured provider by id, including its channel, provider key, alias, title, and current settings.","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /providers/{id}","href":"/api-reference/providers/get-a-provider","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/docs/_mintlify/custom/courier-4f1f25dc/57421be0d4eec0e0/content/favicons.js","/docs/_mintlify/custom/courier-4f1f25dc/05bb41119f2419fd/scripts.js"],"openApiReferenceData":{"operation":{"description":"Returns one configured provider by id, including its channel, provider key, alias, title, and current settings.","operationId":"providers_retrieve","tags":["Providers"],"parameters":["c8cb94cd-5288-4598-b627-3ccb655d8e06"],"responses":{"200":"f2d4d44a-cd97-4484-8468-c3e933d1d2c3","404":"947ec0f8-d659-4854-8c3f-e9b9f9bacc3b"},"summary":"Get a Provider","security":["8d42e4d8-0a2b-4316-9a29-b28c1aaa8998"],"x-codeSamples":[{"lang":"JavaScript","source":"import Courier from '@trycourier/courier';\n\nconst client = new Courier({\n apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted\n});\n\nconst provider = await client.providers.retrieve('id');\n\nconsole.log(provider.id);"},{"lang":"Python","source":"import os\nfrom courier import Courier\n\nclient = Courier(\n api_key=os.environ.get(\"COURIER_API_KEY\"), # This is the default and can be omitted\n)\nprovider = client.providers.retrieve(\n \"id\",\n)\nprint(provider.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/trycourier/courier-go/v4\"\n\t\"github.com/trycourier/courier-go/v4/option\"\n)\n\nfunc main() {\n\tclient := courier.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tprovider, err := client.Providers.Get(context.TODO(), \"id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", provider.ID)\n}\n"},{"lang":"Java","source":"package com.courier.example;\n\nimport com.courier.client.CourierClient;\nimport com.courier.client.okhttp.CourierOkHttpClient;\nimport com.courier.models.providers.Provider;\nimport com.courier.models.providers.ProviderRetrieveParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n CourierClient client = CourierOkHttpClient.fromEnv();\n\n Provider provider = client.providers().retrieve(\"id\");\n }\n}"},{"lang":"Ruby","source":"require \"courier\"\n\ncourier = Courier::Client.new(api_key: \"My API Key\")\n\nprovider = courier.providers.retrieve(\"id\")\n\nputs(provider)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Courier\\Client;\nuse Courier\\Core\\Exceptions\\APIException;\n\n$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');\n\ntry {\n $provider = $client->providers->retrieve('id');\n\n var_dump($provider);\n} catch (APIException $e) {\n echo $e->getMessage();\n}"},{"lang":"C#","source":"using System;\nusing TryCourier;\nusing TryCourier.Models.Providers;\n\nCourierClient client = new();\n\nProviderRetrieveParams parameters = new() { ID = \"id\" };\n\nvar provider = await client.Providers.Retrieve(parameters);\n\nConsole.WriteLine(provider);"},{"lang":"CLI","source":"courier providers retrieve \\\n --api-key 'My API Key' \\\n --id id"}],"method":"get","type":"path","servers":["d796b094-be40-4858-8eb5-01c6e6c3e5f8"],"path":"/providers/{id}","baseUrlOptions":["https://api.courier.com"],"title":"Get a Provider","codeSamples":[{"lang":"JavaScript","source":"import Courier from '@trycourier/courier';\n\nconst client = new Courier({\n apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted\n});\n\nconst provider = await client.providers.retrieve('id');\n\nconsole.log(provider.id);"},{"lang":"Python","source":"import os\nfrom courier import Courier\n\nclient = Courier(\n api_key=os.environ.get(\"COURIER_API_KEY\"), # This is the default and can be omitted\n)\nprovider = client.providers.retrieve(\n \"id\",\n)\nprint(provider.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/trycourier/courier-go/v4\"\n\t\"github.com/trycourier/courier-go/v4/option\"\n)\n\nfunc main() {\n\tclient := courier.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tprovider, err := client.Providers.Get(context.TODO(), \"id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", provider.ID)\n}\n"},{"lang":"Java","source":"package com.courier.example;\n\nimport com.courier.client.CourierClient;\nimport com.courier.client.okhttp.CourierOkHttpClient;\nimport com.courier.models.providers.Provider;\nimport com.courier.models.providers.ProviderRetrieveParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n CourierClient client = CourierOkHttpClient.fromEnv();\n\n Provider provider = client.providers().retrieve(\"id\");\n }\n}"},{"lang":"Ruby","source":"require \"courier\"\n\ncourier = Courier::Client.new(api_key: \"My API Key\")\n\nprovider = courier.providers.retrieve(\"id\")\n\nputs(provider)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Courier\\Client;\nuse Courier\\Core\\Exceptions\\APIException;\n\n$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');\n\ntry {\n $provider = $client->providers->retrieve('id');\n\n var_dump($provider);\n} catch (APIException $e) {\n echo $e->getMessage();\n}"},{"lang":"C#","source":"using System;\nusing TryCourier;\nusing TryCourier.Models.Providers;\n\nCourierClient client = new();\n\nProviderRetrieveParams parameters = new() { ID = \"id\" };\n\nvar provider = await client.Providers.Retrieve(parameters);\n\nConsole.WriteLine(provider);"},{"lang":"CLI","source":"courier providers retrieve \\\n --api-key 'My API Key' \\\n --id id"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"c8cb94cd-5288-4598-b627-3ccb655d8e06":{"name":"id","in":"path","description":"A unique identifier of the provider configuration.","required":true,"schema":{"type":"string","isRequired":true,"description":"A unique identifier of the provider configuration.","uniqueKey":"","typeLabel":"string"}}},"responses":{"f2d4d44a-cd97-4484-8468-c3e933d1d2c3":{"description":"","content":{"application/json":{"schema":{"title":"Provider","type":"object","description":"A configured provider in the workspace.","properties":{"id":{"type":"string","description":"A unique identifier for the provider configuration.","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"title":{"type":"string","description":"Display title. Defaults to \"Default Configuration\" when not explicitly set.","isRequired":true,"uniqueKey":"title","typeLabel":"string"},"provider":{"type":"string","description":"The provider key (e.g. \"sendgrid\", \"twilio\", \"slack\").","isRequired":true,"uniqueKey":"provider","typeLabel":"string"},"settings":{"type":"object","description":"Provider-specific settings (snake_case keys on the wire). `rate_limit` is this configuration's send rate limit, `{ \"rate\": number, \"period\": \"second\" | \"minute\" | \"hour\" }`, or null for no limit.","additionalProperties":true,"isRequired":true,"uniqueKey":"settings","typeLabel":"object"},"created":{"type":"integer","description":"Unix timestamp (ms) of when the provider was created.","isRequired":true,"uniqueKey":"created","typeLabel":"integer"},"alias":{"type":"string","description":"Optional alias for this configuration.","uniqueKey":"alias","typeLabel":"string"},"updated":{"oneOf":[{"type":"integer","description":"Unix timestamp (ms) of when the provider was last updated.","uniqueKey":"updated.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Unix timestamp (ms) of when the provider was last updated.","uniqueKey":"updated.oneOf.1","typeLabel":"null"}],"uniqueKey":"updated","typeLabel":"integer | null"}},"required":["id","title","provider","settings","created"],"uniqueKey":"","typeLabel":"Provider · object"},"examples":{"Example":{"title":"Example","value":{"id":"pc_01kx4h2jdafq8bk9arsty8hr35","title":"Example Name","provider":"string","alias":"string","settings":{},"created":1,"updated":1}}},"exampleType":"examples"}},"exampleType":"examples"},"947ec0f8-d659-4854-8c3f-e9b9f9bacc3b":{"description":"","content":{"application/json":{"schema":{"type":"object","title":"NotFound","required":["type","message"],"properties":{"message":{"type":"string","description":"A message describing the error that occurred.","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"type":{"type":"string","enum":["invalid_request_error"],"isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"","typeLabel":"NotFound · object"},"examples":{"Example":{"title":"Example","value":{"message":"Example message text","type":"invalid_request_error"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"8d42e4d8-0a2b-4316-9a29-b28c1aaa8998":{"BearerAuth":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"d796b094-be40-4858-8eb5-01c6e6c3e5f8":{"url":"https://api.courier.com","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openapi-specs/openapi.documented.yml"},"subdomain":"courier-4f1f25dc","siteName":"Courier","title":"Get a Provider - Courier","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-13T19:25:22.235Z","originalFileLocation":"api-reference/providers/get-a-provider.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns one configured provider by id, including its channel, provider key, alias, title, and current settings.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Courier\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/courier-4f1f25dc/dyGkQZT6Sxn7ts5C/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/courier-4f1f25dc/dyGkQZT6Sxn7ts5C/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/courier-4f1f25dc/dyGkQZT6Sxn7ts5C/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/courier-4f1f25dc/dyGkQZT6Sxn7ts5C/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/courier-4f1f25dc/dyGkQZT6Sxn7ts5C/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/courier-4f1f25dc/dyGkQZT6Sxn7ts5C/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/courier-4f1f25dc/dyGkQZT6Sxn7ts5C/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/courier-4f1f25dc/dyGkQZT6Sxn7ts5C/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/courier-4f1f25dc/dyGkQZT6Sxn7ts5C/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get a Provider - Courier\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns one configured provider by id, including its channel, provider key, alias, title, and current settings.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Courier\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://www.courier.com/docs/api-reference/providers/get-a-provider\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://courier-4f1f25dc.mintlify.site/docs/_mintlify/api/og/v2?division=Providers\u0026amp;title=Get+a+Provider\u0026amp;description=Returns+one+configured+provider+by+id%2C+including+its+channel%2C+provider+key%2C+alias%2C+title%2C+and+current+settings.\u0026amp;theme=fa3857495e51528aa4594a8d\u0026amp;signature=ec6e8b5955313dc42c9f26fd677485c5454f362971586f91c64c1c25b0c72060\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get a Provider - Courier\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns one configured provider by id, including its channel, provider key, alias, title, and current settings.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://courier-4f1f25dc.mintlify.site/docs/_mintlify/api/og/v2?division=Providers\u0026amp;title=Get+a+Provider\u0026amp;description=Returns+one+configured+provider+by+id%2C+including+its+channel%2C+provider+key%2C+alias%2C+title%2C+and+current+settings.\u0026amp;theme=fa3857495e51528aa4594a8d\u0026amp;signature=ec6e8b5955313dc42c9f26fd677485c5454f362971586f91c64c1c25b0c72060\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/courier-4f1f25dc/dyGkQZT6Sxn7ts5C/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Courier\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#7C3AED\">\u003clink data-mint-head rel=\"canonical\" href=\"https://www.courier.com/docs/api-reference/providers/get-a-provider\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/providers/get-a-provider.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://www.courier.com/#organization\",\"name\":\"Courier\",\"url\":\"https://www.courier.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/courier-4f1f25dc/xDJPBS8EQ58X_0-v/assets/logo-light.svg?fit=max\u0026auto=format\u0026n=xDJPBS8EQ58X_0-v\u0026q=85\u0026s=2da40366f40ee5623aeabb98e65c6295\"}},{\"@type\":\"WebSite\",\"@id\":\"https://www.courier.com/docs#website\",\"name\":\"Courier\",\"url\":\"https://www.courier.com/docs\",\"publisher\":{\"@id\":\"https://www.courier.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://www.courier.com/docs/api-reference/providers/get-a-provider#webpage\",\"url\":\"https://www.courier.com/docs/api-reference/providers/get-a-provider\",\"name\":\"Get a Provider\",\"description\":\"Returns one configured provider by id, including its channel, provider key, alias, title, and current settings.\",\"dateModified\":\"2026-11-13T19:25:22.235Z\",\"isPartOf\":{\"@id\":\"https://www.courier.com/docs#website\"},\"breadcrumb\":{\"@id\":\"https://www.courier.com/docs/api-reference/providers/get-a-provider#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://www.courier.com/docs/api-reference/providers/get-a-provider#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Providers\",\"item\":\"https://www.courier.com/docs/api-reference/providers/list-providers\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get a Provider\",\"item\":\"https://www.courier.com/docs/api-reference/providers/get-a-provider\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://www.courier.com/docs/api-reference/providers/get-a-provider#apireference\",\"headline\":\"Get a Provider\",\"name\":\"Get a Provider\",\"description\":\"Returns one configured provider by id, including its channel, provider key, alias, title, and current settings.\",\"url\":\"https://www.courier.com/docs/api-reference/providers/get-a-provider\",\"mainEntityOfPage\":{\"@id\":\"https://www.courier.com/docs/api-reference/providers/get-a-provider#webpage\"},\"dateModified\":\"2026-11-13T19:25:22.235Z\",\"publisher\":{\"@id\":\"https://www.courier.com/#organization\"},\"isPartOf\":{\"@id\":\"https://www.courier.com/docs#website\"}}]}\u003c/script>","agentPointerHref":"/docs/api-reference/providers/get-a-provider.md","siteName":"Courier","nav":{"global":null,"tabs":[{"tab":"Docs","icon":"book","pages":[{"title":"Docs","href":"/overview"}]},{"tab":"Guides","icon":"list-check","pages":[{"title":"Guides","href":"/guides/overview"}]},{"tab":"Integrations","icon":"puzzle-piece","pages":[{"title":"Integrations","href":"/integrations/overview"}]},{"tab":"In-App","icon":"inbox","pages":[{"title":"In-App","href":"/in-app/overview"}]},{"tab":"SDKs","icon":"cube","pages":[{"title":"SDKs","href":"/sdk-libraries/sdks-overview"}]},{"tab":"API Reference","icon":"code","groups":[{"group":"Get started","icon":"rocket","pages":[{"title":"Courier API reference","sidebarTitle":"API reference","mode":"wide","href":"/reference/api-overview"}]},{"group":"Send","pages":[{"title":"Send a message","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /send","href":"/api-reference/send/send-a-message"}]},{"group":"Templates","pages":[{"title":"List Notification Templates","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /notifications","href":"/api-reference/templates/list-notification-templates"},{"title":"Create Notification Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /notifications","href":"/api-reference/templates/create-notification-template"},{"title":"Get Notification Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /notifications/{id}","href":"/api-reference/templates/get-notification-template"},{"title":"Replace Notification Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /notifications/{id}","href":"/api-reference/templates/replace-notification-template"},{"title":"Archive Notification Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /notifications/{id}","href":"/api-reference/templates/archive-notification-template"},{"title":"List Notification Template Versions","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /notifications/{id}/versions","href":"/api-reference/templates/list-notification-template-versions"},{"title":"Publish Notification Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /notifications/{id}/publish","href":"/api-reference/templates/publish-notification-template"},{"title":"Get Notification Content","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /notifications/{id}/content","href":"/api-reference/templates/get-notification-content"},{"title":"Replace Notification Content","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /notifications/{id}/content","href":"/api-reference/templates/replace-notification-content"},{"title":"Replace Notification Element","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /notifications/{id}/elements/{elementId}","href":"/api-reference/templates/replace-notification-element"},{"title":"Replace Notification Locale","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /notifications/{id}/locales/{localeId}","href":"/api-reference/templates/replace-notification-locale"},{"title":"Get submission checks","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /notifications/{id}/{submissionId}/checks","href":"/api-reference/templates/get-submission-checks"},{"title":"Replace submission checks","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /notifications/{id}/{submissionId}/checks","href":"/api-reference/templates/replace-submission-checks"},{"title":"Cancel submission","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /notifications/{id}/{submissionId}/checks","href":"/api-reference/templates/cancel-submission"},{"title":"Get Notification Template Metrics","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /notifications/{id}/metrics","href":"/api-reference/templates/get-notification-template-metrics"}]},{"group":"Brands","pages":[{"title":"List Brands","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /brands","href":"/api-reference/brands/list-brands"},{"title":"Create a new Brand","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /brands","href":"/api-reference/brands/create-a-new-brand"},{"title":"Get a Brand","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /brands/{brand_id}","href":"/api-reference/brands/get-a-brand"},{"title":"Replace a Brand","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /brands/{brand_id}","href":"/api-reference/brands/replace-a-brand"},{"title":"Delete a Brand","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /brands/{brand_id}","href":"/api-reference/brands/delete-a-brand"}]},{"group":"Routing Strategies","pages":[{"title":"List Routing Strategies","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /routing-strategies","href":"/api-reference/routing-strategies/list-routing-strategies"},{"title":"Create Routing Strategy","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /routing-strategies","href":"/api-reference/routing-strategies/create-routing-strategy"},{"title":"Get Routing Strategy","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /routing-strategies/{id}","href":"/api-reference/routing-strategies/get-routing-strategy"},{"title":"Replace Routing Strategy","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /routing-strategies/{id}","href":"/api-reference/routing-strategies/replace-routing-strategy"},{"title":"Archive Routing Strategy","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /routing-strategies/{id}","href":"/api-reference/routing-strategies/archive-routing-strategy"},{"title":"List notifications for a Routing Strategy","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /routing-strategies/{id}/notifications","href":"/api-reference/routing-strategies/list-notifications-for-a-routing-strategy"}]},{"group":"Journeys","pages":[{"title":"List Journeys","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /journeys","href":"/api-reference/journeys/list-journeys"},{"title":"Create a Journey","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /journeys","href":"/api-reference/journeys/create-a-journey"},{"title":"Cancel Journey runs","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /journeys/cancel","href":"/api-reference/journeys/cancel-journey-runs"},{"title":"List Journey runs","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /journeys/runs","href":"/api-reference/journeys/list-journey-runs"},{"title":"Fetch a Journey run","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /journeys/runs/{run_id}","href":"/api-reference/journeys/fetch-a-journey-run"},{"title":"List steps for a Journey run","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /journeys/runs/{run_id}/steps","href":"/api-reference/journeys/list-steps-for-a-journey-run"},{"title":"Invoke a Journey","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /journeys/{templateId}/invoke","href":"/api-reference/journeys/invoke-a-journey"},{"title":"Fetch a Journey by id","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /journeys/{templateId}","href":"/api-reference/journeys/fetch-a-journey-by-id"},{"title":"Replace a Journey","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /journeys/{templateId}","href":"/api-reference/journeys/replace-a-journey"},{"title":"Archive a Journey","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /journeys/{templateId}","href":"/api-reference/journeys/archive-a-journey"},{"title":"List versions of a Journey","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /journeys/{templateId}/versions","href":"/api-reference/journeys/list-versions-of-a-journey"},{"title":"Publish a Journey","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /journeys/{templateId}/publish","href":"/api-reference/journeys/publish-a-journey"},{"title":"List Notification Templates scoped to a Journey","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /journeys/{templateId}/templates","href":"/api-reference/journeys/list-notification-templates-scoped-to-a-journey"},{"title":"Create a Notification Template scoped to a Journey","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /journeys/{templateId}/templates","href":"/api-reference/journeys/create-a-notification-template-scoped-to-a-journey"},{"title":"Fetch a Journey-scoped Notification Template by id","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /journeys/{templateId}/templates/{notificationId}","href":"/api-reference/journeys/fetch-a-journey-scoped-notification-template-by-id"},{"title":"Replace a Journey-scoped Notification Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /journeys/{templateId}/templates/{notificationId}","href":"/api-reference/journeys/replace-a-journey-scoped-notification-template"},{"title":"Archive a Journey-scoped Notification Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /journeys/{templateId}/templates/{notificationId}","href":"/api-reference/journeys/archive-a-journey-scoped-notification-template"},{"title":"Publish a Journey-scoped Notification Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /journeys/{templateId}/templates/{notificationId}/publish","href":"/api-reference/journeys/publish-a-journey-scoped-notification-template"},{"title":"List versions of a Journey-scoped Notification Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /journeys/{templateId}/templates/{notificationId}/versions","href":"/api-reference/journeys/list-versions-of-a-journey-scoped-notification-template"},{"title":"Fetch the content of a Journey-scoped Notification Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /journeys/{templateId}/templates/{notificationId}/content","href":"/api-reference/journeys/fetch-the-content-of-a-journey-scoped-notification-template"},{"title":"Replace the content of a Journey-scoped Notification Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /journeys/{templateId}/templates/{notificationId}/content","href":"/api-reference/journeys/replace-the-content-of-a-journey-scoped-notification-template"},{"title":"Replace a locale of a Journey-scoped Notification Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /journeys/{templateId}/templates/{notificationId}/locales/{localeId}","href":"/api-reference/journeys/replace-a-locale-of-a-journey-scoped-notification-template"}]},{"group":"Broadcasts","pages":[{"title":"List Broadcasts","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /broadcasts","href":"/api-reference/broadcasts/list-broadcasts"},{"title":"Create Broadcast","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /broadcasts","href":"/api-reference/broadcasts/create-broadcast"},{"title":"Get Broadcast","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /broadcasts/{broadcastId}","href":"/api-reference/broadcasts/get-broadcast"},{"title":"Update Broadcast","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /broadcasts/{broadcastId}","href":"/api-reference/broadcasts/update-broadcast"},{"title":"Archive Broadcast","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /broadcasts/{broadcastId}","href":"/api-reference/broadcasts/archive-broadcast"},{"title":"Duplicate Broadcast","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /broadcasts/{broadcastId}/duplicate","href":"/api-reference/broadcasts/duplicate-broadcast"},{"title":"Send Broadcast","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /broadcasts/{broadcastId}/send","href":"/api-reference/broadcasts/send-broadcast"},{"title":"Schedule Broadcast","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /broadcasts/{broadcastId}/schedule","href":"/api-reference/broadcasts/schedule-broadcast"},{"title":"Cancel Broadcast schedule","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /broadcasts/{broadcastId}/cancel","href":"/api-reference/broadcasts/cancel-broadcast-schedule"},{"title":"Get Broadcast content","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /broadcasts/{broadcastId}/content","href":"/api-reference/broadcasts/get-broadcast-content"},{"title":"Update Broadcast content","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /broadcasts/{broadcastId}/content","href":"/api-reference/broadcasts/update-broadcast-content"}]},{"group":"Previews","pages":[{"title":"List Preview Devices","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /previews/devices","href":"/api-reference/previews/list-preview-devices"},{"title":"List Device Sets","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /previews/device-sets","href":"/api-reference/previews/list-device-sets"},{"title":"Create Device Set","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /previews/device-sets","href":"/api-reference/previews/create-device-set"},{"title":"Get Device Set","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /previews/device-sets/{deviceSetId}","href":"/api-reference/previews/get-device-set"},{"title":"Update Device Set","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /previews/device-sets/{deviceSetId}","href":"/api-reference/previews/update-device-set"},{"title":"Archive Device Set","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /previews/device-sets/{deviceSetId}","href":"/api-reference/previews/archive-device-set"},{"title":"List Preview Runs","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /notifications/{id}/previews/runs","href":"/api-reference/previews/list-preview-runs"},{"title":"Create Preview Run","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /notifications/{id}/previews/runs","href":"/api-reference/previews/create-preview-run"},{"title":"Get Preview Run","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /notifications/{id}/previews/runs/{previewRunId}","href":"/api-reference/previews/get-preview-run"}]},{"group":"User Profiles","pages":[{"title":"Get a Profile","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /profiles/{user_id}","href":"/api-reference/user-profiles/get-a-profile"},{"title":"Replace a Profile","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /profiles/{user_id}","href":"/api-reference/user-profiles/replace-a-profile"},{"title":"Create a Profile","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /profiles/{user_id}","href":"/api-reference/user-profiles/create-a-profile"},{"title":"Delete a Profile","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /profiles/{user_id}","href":"/api-reference/user-profiles/delete-a-profile"},{"title":"Update a Profile","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml patch /profiles/{user_id}","href":"/api-reference/user-profiles/update-a-profile"},{"title":"Get List subscriptions","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /profiles/{user_id}/lists","href":"/api-reference/user-profiles/get-list-subscriptions"},{"title":"Subscribe to one or more Lists","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /profiles/{user_id}/lists","href":"/api-reference/user-profiles/subscribe-to-one-or-more-lists"},{"title":"Delete List subscriptions","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /profiles/{user_id}/lists","href":"/api-reference/user-profiles/delete-list-subscriptions"}]},{"group":"Tenants","pages":[{"title":"Get a Tenant","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /tenants/{tenant_id}","href":"/api-reference/tenants/get-a-tenant"},{"title":"Create or replace a Tenant","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /tenants/{tenant_id}","href":"/api-reference/tenants/create-or-replace-a-tenant"},{"title":"Delete a Tenant","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /tenants/{tenant_id}","href":"/api-reference/tenants/delete-a-tenant"},{"title":"List Tenants","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /tenants","href":"/api-reference/tenants/list-tenants"},{"title":"Get users in Tenant","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /tenants/{tenant_id}/users","href":"/api-reference/tenants/get-users-in-tenant"},{"title":"Create or replace default Preferences for Topic","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /tenants/{tenant_id}/default_preferences/items/{topic_id}","href":"/api-reference/tenants/create-or-replace-default-preferences-for-topic"},{"title":"Remove default Preferences for Topic","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /tenants/{tenant_id}/default_preferences/items/{topic_id}","href":"/api-reference/tenants/remove-default-preferences-for-topic"}]},{"group":"Audiences","pages":[{"title":"Get an Audience","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /audiences/{audience_id}","href":"/api-reference/audiences/get-an-audience"},{"title":"Update an Audience","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /audiences/{audience_id}","href":"/api-reference/audiences/update-an-audience"},{"title":"Delete an Audience","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /audiences/{audience_id}","href":"/api-reference/audiences/delete-an-audience"},{"title":"List Audience members","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /audiences/{audience_id}/members","href":"/api-reference/audiences/list-audience-members"},{"title":"List all Audiences","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /audiences","href":"/api-reference/audiences/list-all-audiences"}]},{"group":"Lists","pages":[{"title":"List Lists","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /lists","href":"/api-reference/lists/list-lists"},{"title":"Get a List","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /lists/{list_id}","href":"/api-reference/lists/get-a-list"},{"title":"Update a List","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /lists/{list_id}","href":"/api-reference/lists/update-a-list"},{"title":"Delete a List","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /lists/{list_id}","href":"/api-reference/lists/delete-a-list"},{"title":"Restore a List","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /lists/{list_id}/restore","href":"/api-reference/lists/restore-a-list"},{"title":"List subscriptions for a List","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /lists/{list_id}/subscriptions","href":"/api-reference/lists/list-subscriptions-for-a-list"},{"title":"Subscribe users to a List","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /lists/{list_id}/subscriptions","href":"/api-reference/lists/subscribe-users-to-a-list"},{"title":"Add subscribers to a List","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /lists/{list_id}/subscriptions","href":"/api-reference/lists/add-subscribers-to-a-list"},{"title":"Subscribe a user Profile to a List","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /lists/{list_id}/subscriptions/{user_id}","href":"/api-reference/lists/subscribe-a-user-profile-to-a-list"},{"title":"Unsubscribe a user Profile from a List","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /lists/{list_id}/subscriptions/{user_id}","href":"/api-reference/lists/unsubscribe-a-user-profile-from-a-list"}]},{"group":"Providers","pages":[{"title":"List Providers","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /providers","href":"/api-reference/providers/list-providers"},{"title":"Create a Provider","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /providers","href":"/api-reference/providers/create-a-provider"},{"title":"List available Provider types","description":"Returns the provider types Courier supports, each with a display name, description, and the configuration fields it requires.","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /providers/catalog","href":"/api-reference/providers/list-available-provider-types"},{"title":"Get a Provider","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /providers/{id}","href":"/api-reference/providers/get-a-provider"},{"title":"Update a Provider","description":"Replaces a provider's configuration in full, clearing any field you omit rather than merging it. Send the complete settings object.","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /providers/{id}","href":"/api-reference/providers/update-a-provider"},{"title":"Delete a Provider","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /providers/{id}","href":"/api-reference/providers/delete-a-provider"},{"title":"Patch a Provider","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml patch /providers/{id}","href":"/api-reference/providers/patch-a-provider"}]},{"group":"Preference Topics","pages":[{"title":"List preference changes","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /preferences/logs","href":"/api-reference/preference-topics/list-preference-changes"},{"title":"Publish Preferences page","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /preferences/publish","href":"/api-reference/preference-topics/publish-preferences-page"},{"title":"List Preference Sections","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /preferences/sections","href":"/api-reference/preference-topics/list-preference-sections"},{"title":"Create a Preference Section","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /preferences/sections","href":"/api-reference/preference-topics/create-a-preference-section"},{"title":"Get a Preference Section","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /preferences/sections/{section_id}","href":"/api-reference/preference-topics/get-a-preference-section"},{"title":"Replace a Preference Section","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /preferences/sections/{section_id}","href":"/api-reference/preference-topics/replace-a-preference-section"},{"title":"Archive a Preference Section","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /preferences/sections/{section_id}","href":"/api-reference/preference-topics/archive-a-preference-section"},{"title":"List Topics in Section","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /preferences/sections/{section_id}/topics","href":"/api-reference/preference-topics/list-topics-in-section"},{"title":"Create Topic in Section","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /preferences/sections/{section_id}/topics","href":"/api-reference/preference-topics/create-topic-in-section"},{"title":"Get Topic in Section","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /preferences/sections/{section_id}/topics/{topic_id}","href":"/api-reference/preference-topics/get-topic-in-section"},{"title":"Replace Topic in Section","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /preferences/sections/{section_id}/topics/{topic_id}","href":"/api-reference/preference-topics/replace-topic-in-section"},{"title":"Archive Topic in Section","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /preferences/sections/{section_id}/topics/{topic_id}","href":"/api-reference/preference-topics/archive-topic-in-section"}]},{"group":"Digests","pages":[{"title":"Delete a topic's digest","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /preferences/sections/{section_id}/topics/{topic_id}/digest","href":"/api-reference/digests/delete-a-topics-digest"},{"title":"Release a recipient's digest","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /preferences/sections/{section_id}/topics/{topic_id}/digest/release","href":"/api-reference/digests/release-a-recipients-digest"},{"title":"Release a digest early","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /digests/schedules/{schedule_id}/trigger","href":"/api-reference/digests/release-a-digest-early"},{"title":"List digest instances","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /digests/schedules/{schedule_id}/instances","href":"/api-reference/digests/list-digest-instances"}]},{"group":"User Preferences","pages":[{"title":"Get user's Preferences","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /users/{user_id}/preferences","href":"/api-reference/user-preferences/get-users-preferences"},{"title":"Replace user Preferences in bulk","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /users/{user_id}/preferences","href":"/api-reference/user-preferences/replace-user-preferences-in-bulk"},{"title":"Update user Preferences in bulk","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /users/{user_id}/preferences","href":"/api-reference/user-preferences/update-user-preferences-in-bulk"},{"title":"Get user Subscription Topic","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /users/{user_id}/preferences/{topic_id}","href":"/api-reference/user-preferences/get-user-subscription-topic"},{"title":"Update or create user Preferences for a Subscription Topic","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /users/{user_id}/preferences/{topic_id}","href":"/api-reference/user-preferences/update-or-create-user-preferences-for-a-subscription-topic"},{"title":"Delete user Subscription Topic","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /users/{user_id}/preferences/{topic_id}","href":"/api-reference/user-preferences/delete-user-subscription-topic"}]},{"group":"Messages","pages":[{"title":"List messages","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /messages","href":"/api-reference/messages/list-messages"},{"title":"Get message","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /messages/{message_id}","href":"/api-reference/messages/get-message"},{"title":"Cancel message","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /messages/{message_id}/cancel","href":"/api-reference/messages/cancel-message"},{"title":"Resend message","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /messages/{message_id}/resend","href":"/api-reference/messages/resend-message"},{"title":"Get message history","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /messages/{message_id}/history","href":"/api-reference/messages/get-message-history"},{"title":"Get message content","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /messages/{message_id}/output","href":"/api-reference/messages/get-message-content"},{"title":"Archive message","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /requests/{request_id}/archive","href":"/api-reference/messages/archive-message"}]},{"group":"Device Tokens","pages":[{"title":"List tokens","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /users/{user_id}/tokens","href":"/api-reference/device-tokens/list-tokens"},{"title":"Add multiple tokens to user","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /users/{user_id}/tokens","href":"/api-reference/device-tokens/add-multiple-tokens-to-user"},{"title":"Get a token","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /users/{user_id}/tokens/{token}","href":"/api-reference/device-tokens/get-a-token"},{"title":"Add a token to a user","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /users/{user_id}/tokens/{token}","href":"/api-reference/device-tokens/add-a-token-to-a-user"},{"title":"Delete user token","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /users/{user_id}/tokens/{token}","href":"/api-reference/device-tokens/delete-user-token"},{"title":"Update a token","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml patch /users/{user_id}/tokens/{token}","href":"/api-reference/device-tokens/update-a-token"}]},{"group":"Tenant Memberships","pages":[{"title":"List a user's Tenants","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /users/{user_id}/tenants","href":"/api-reference/tenant-memberships/list-a-users-tenants"},{"title":"Add a user to multiple Tenants","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /users/{user_id}/tenants","href":"/api-reference/tenant-memberships/add-a-user-to-multiple-tenants"},{"title":"Remove a user from all Tenants","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /users/{user_id}/tenants","href":"/api-reference/tenant-memberships/remove-a-user-from-all-tenants"},{"title":"Add a user to a Tenant","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /users/{user_id}/tenants/{tenant_id}","href":"/api-reference/tenant-memberships/add-a-user-to-a-tenant"},{"title":"Remove user from a Tenant","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /users/{user_id}/tenants/{tenant_id}","href":"/api-reference/tenant-memberships/remove-user-from-a-tenant"}]},{"group":"Tenant Templates","pages":[{"title":"Get a Template in Tenant","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /tenants/{tenant_id}/templates/{template_id}","href":"/api-reference/tenant-templates/get-a-template-in-tenant"},{"title":"Create or update a Tenant Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /tenants/{tenant_id}/templates/{template_id}","href":"/api-reference/tenant-templates/create-or-update-a-tenant-template"},{"title":"Delete a Tenant Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml delete /tenants/{tenant_id}/templates/{template_id}","href":"/api-reference/tenant-templates/delete-a-tenant-template"},{"title":"Publish a Tenant Template","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /tenants/{tenant_id}/templates/{template_id}/publish","href":"/api-reference/tenant-templates/publish-a-tenant-template"},{"title":"Get a Template version","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /tenants/{tenant_id}/templates/{template_id}/versions/{version}","href":"/api-reference/tenant-templates/get-a-template-version"},{"title":"List Templates in Tenant","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /tenants/{tenant_id}/templates","href":"/api-reference/tenant-templates/list-templates-in-tenant"}]},{"group":"Bulk","pages":[{"title":"Create a bulk job","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /bulk","href":"/api-reference/bulk/create-a-bulk-job"},{"title":"Get a job","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /bulk/{job_id}","href":"/api-reference/bulk/get-a-job"},{"title":"Add users","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /bulk/{job_id}","href":"/api-reference/bulk/add-users"},{"title":"Run a job","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /bulk/{job_id}/run","href":"/api-reference/bulk/run-a-job"},{"title":"Get users","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /bulk/{job_id}/users","href":"/api-reference/bulk/get-users"}]},{"group":"Automations","pages":[{"title":"List Automations","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /automations","href":"/api-reference/automations/list-automations"},{"title":"Invoke an Automation","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /automations/{templateId}/invoke","href":"/api-reference/automations/invoke-an-automation"},{"title":"Invoke an ad hoc Automation","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /automations/invoke","href":"/api-reference/automations/invoke-an-ad-hoc-automation"},{"title":"List Automation runs","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /automations/runs","href":"/api-reference/automations/list-automation-runs"},{"title":"List steps for an Automation run","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /automations/runs/{id}/steps","href":"/api-reference/automations/list-steps-for-an-automation-run"}]},{"group":"Translations","pages":[{"title":"Get a Translation","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /translations/{domain}/{locale}","href":"/api-reference/translations/get-a-translation"},{"title":"Update Translations by locale","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml put /translations/{domain}/{locale}","href":"/api-reference/translations/update-translations-by-locale"}]},{"group":"Track Events","pages":[{"title":"Track an event","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /inbound/courier","href":"/api-reference/track-events/track-an-event"}]},{"group":"Audit Events","pages":[{"title":"List Audit Events","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /audit-events","href":"/api-reference/audit-events/list-audit-events"},{"title":"Get an Audit Event","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml get /audit-events/{audit-event-id}","href":"/api-reference/audit-events/get-an-audit-event"}]},{"group":"Authentication","pages":[{"title":"Create a JWT","deprecated":null,"version":null,"openapi":"/openapi-specs/openapi.documented.yml post /auth/issue-token","href":"/api-reference/authentication/create-a-jwt"}]}]},{"tab":"Build with AI","icon":"microchip-ai","pages":[{"title":"Build with AI","href":"/get-started/build-with-ai"}]}]},"basePath":"","title":"Get a Provider - Courier","buildId":"dpl_Aw98ji4XvBsgtZwL1VrkUF9ehFqz","deploymentId":"dpl_Aw98ji4XvBsgtZwL1VrkUF9ehFqz","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-CQGbdtm4.js","utils-D88A1f-Z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-ChqWdz1A.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-yBrxdh_6.js","snippetPresets-BgqDrFJC.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","Page-C2-BijcO.js","ApiExamples-Duxc2rZw.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C7jidOil.js","shallow-xkjpHm-U.js","getApiPlaygroundDisplay-fE3rVpvL.js","CodeSnippet-LgxljKed.js","CodeSnippets-D-pXWDHq.js","getPastedJson-CLRcu-uo.js","icon-Cxirpjgo.js","MethodPill-D49eqY5e.js","DuplicateIcon-CivCz5Rp.js","createIcon-D71qL3f5.js","DynamicMarkdown-BcGRTrw6.js","SectionHeading-DzaqmmSD.js","axios-vUo_bRtp.js","Markdown-CZqUYmMp.js","clsx-B6IZIRsp.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-B0ZV6X5T.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-MqLyPtsW.js"]}